> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a campaign group

> Retrieve a single campaign group by ID.



## OpenAPI

````yaml https://app.loops.so/openapi.json get /v1/campaign-groups/{campaignGroupId}
openapi: 3.1.0
info:
  title: Loops OpenAPI Spec
  description: This is the OpenAPI Spec for the [Loops API](https://loops.so/docs/api).
  version: 1.21.6
servers:
  - url: https://app.loops.so/api
security: []
tags:
  - name: API key
  - name: Audience segments
    description: View audience segments
  - name: Campaigns
    description: Create and manage email campaigns
  - name: Campaign groups
    description: Organize campaigns into groups
  - name: Configuration
    description: View configuration settings
  - name: Contacts
    description: Manage contacts in your audience
  - name: Contact properties
    description: Manage contact properties
  - name: Components
    description: View email components
  - name: Email messages
    description: Manage email message content for campaigns
  - name: Events
    description: Trigger workflows with events
  - name: Event patterns
    description: View workflow event patterns
  - name: Mailing lists
    description: View mailing lists
  - name: Themes
    description: View email themes
  - name: Transactional emails
    description: Create, manage, and send transactional emails
  - name: Transactional groups
    description: Organize transactional emails into groups
  - name: Uploads
    description: Upload image assets
  - name: Workflows
    description: View and mutate workflow graphs
  - name: Workflow nodes
    description: View and mutate workflow nodes
  - name: Webhooks
    description: >-
      Events Loops sends to your configured webhook endpoint when certain events
      happen in your account. Configure an endpoint in Settings → Webhooks. Each
      account supports one webhook endpoint. Events are signed with
      `webhook-id`, `webhook-timestamp`, and `webhook-signature` headers and
      delivered at a maximum rate of 10 per second. See
      https://loops.so/docs/webhooks for setup, verification, and payload
      details.
paths:
  /v1/campaign-groups/{campaignGroupId}:
    parameters:
      - name: campaignGroupId
        in: path
        required: true
        description: The ID of the campaign group.
        schema:
          type: string
          examples:
            - clg7n5p3q1r9s7t5u3v1w9y7
    get:
      tags:
        - Campaign groups
      summary: Get a campaign group
      description: Retrieve a single campaign group by ID.
      operationId: getCampaignGroup
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupResponse'
        '400':
          description: Invalid `campaignGroupId`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupFailureResponse'
        '401':
          description: Invalid API key or content API not enabled for this team.
        '404':
          description: Campaign group not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupFailureResponse'
        '405':
          description: Wrong HTTP request method.
      security:
        - apiKey: []
components:
  schemas:
    GroupResponse:
      type: object
      properties:
        id:
          type: string
          description: The ID of the group.
          examples:
            - clg7n5p3q1r9s7t5u3v1w9y7
        name:
          type: string
          description: The name of the group.
          examples:
            - Onboarding
        description:
          type: string
          description: The description of the group.
          examples:
            - Top of funnel campaigns
        createdAt:
          type: string
          format: date-time
          examples:
            - '2025-06-29T07:47:39.370Z'
          description: ISO 8601 timestamp for when the group was created.
        updatedAt:
          type: string
          format: date-time
          examples:
            - '2025-06-29T07:47:39.370Z'
          description: ISO 8601 timestamp for when the group was last updated.
      required:
        - id
        - name
        - description
        - createdAt
        - updatedAt
      examples:
        - id: clg7n5p3q1r9s7t5u3v1w9y7
          name: Onboarding
          description: Top of funnel campaigns
          createdAt: '2025-06-29T07:47:39.370Z'
          updatedAt: '2025-06-29T07:47:39.370Z'
    GroupFailureResponse:
      type: object
      properties:
        message:
          type: string
          examples:
            - Group not found.
      required:
        - message
      examples:
        - message: Group not found.
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

## Related topics

- [Campaign groups](/docs/cli/campaign-groups.md)
- [API Introduction](/docs/api-reference/intro.md)
- [List campaign groups](/docs/api-reference/list-campaign-groups.md)
- [Get a campaign](/docs/api-reference/get-campaign.md)
- [Update a campaign group](/docs/api-reference/update-campaign-group.md)
